<?php
/*
	DevSaver Web Framework
	Copyright (c) 2002-2018 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com
*/

if (!defined("STPBase")) {
	die("This file can't be accessed directly!");
}

class CContactWidgetContactForm extends CWidget {

	/**
	* description
	*
	* @var type
	*
	* @access type
	*/
	var $meta = array(
		"type"	=> "1",
		"name"	=> "Contact Form",
		"module"	=> array(
			"name"	=> "",
			"id"	=> "",
			"type"	=> "",
		)
	);


	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function Render($widget) {
		$this->module->__init();

		$widget["settings"]["set_button_style"] = str_replace("," , " " , $widget["settings"]["set_button_style"]);

		return $this->tpl->blockreplace(
			"Widget", 
			array(
				"title"	=> $widget["widget_name"],
				"form"	=> $this->module->Form($widget , true),
			),
			$widget,
			$widget["settings"],
			$widget["mod_settings"]
		);

	}
	
	

}


?>